PREREQUISITES

To run Loc8 Mobile app, please ensure that your mobile device meets the following iOS or Android versions:
 
Apple
Mobile Devices  

  • iOS version 8.0 and above. The iOS version is displayed at Settings > General > About on your Apple mobile device.
  • iPhone 4s or newer
  • iPad 2 or newer

Android Mobile Devices 

  • Android 4.1 (Jelly Bean) or higher. The Android version is displayed at System Settings > About Phone on your Android mobile device. 

Install Loc8 Mobile for Apple iOS
Click the button below and install the mobile app from App Store:

Install Loc8 Mobile for Android
Click the button below to install the mobile app from Play Store:

Once the mobile app is installed, you'll find the Loc8 icon on your mobile screen. 

Just tap the icon and start using Loc8 Mobile.

Did this answer your question?